#! /bin/sh
#
# prt-view.sh 
#
# Script to show the output of prt-view with mozilla
#
# Jrgen Daubert <juergen.daubert@t-online.de>
# Version 0.3  2006-06-21
#

BROWSER=firefox
PRTVIEW=/usr/local/bin/prt-view
DATA=$(mktemp -t prt-view.XXXXXXXXXXXX)

TEST_MOZ=$(ps ax | grep -v grep | grep -c $BROWSER)
$PRTVIEW > $DATA

if [ $TEST_MOZ -ge 1 ]; then
    exec $BROWSER -remote "openURL($DATA, new-tab)"
else
    exec $BROWSER $DATA & 
fi 

# End of file
